// RTF2HTML.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "RTF2HTML.h"
#include "RTF2HTMLTree.h"
#include "RTF2HTMLConverter.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

void ProcessFile(const CString& strInFile, const CString& strOutFile)
{
   CStdioFile fileIn, fileOut;
   CFileException* pException = new CFileException;
   
   if (!fileIn.Open(strInFile, CFile::modeRead|CFile::shareDenyWrite|CFile::typeText, pException)) throw pException;
   if (!fileOut.Open(strOutFile, CFile::modeCreate|CFile::modeWrite|CFile::shareExclusive|CFile::typeText, pException)) throw pException;
   CString strIn, strOut;

   CString strLine;
   while (fileIn.ReadString(strLine)) {
      if (strIn!="") strIn+="\r\n";
      strIn+=strLine;
   }
   CRTF_HTMLConverter convert(CRTF_HTMLConverter::c_modRTF2HTML);
   convert.SetTitle("RTF2HTML Converter converted document");
   strIn>>convert;
   strOut<<convert;
   fileOut.WriteString(strOut);

   fileIn.Close();
   fileOut.Flush();
   fileOut.Close();
   if (pException) pException->Delete();
}

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0)) {
		// TODO: change error code to suit your needs
		cout << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
   } else {
		// TODO: code your application's behavior here.
		cout << _T("RTF2TML Converter V.0.9") << endl;
      if (argc!=3) {
   		cout << _T("Usage: RTF2HTML <source-rtf-file> <target-html-file>") << endl;         
      } else {
         ProcessFile(argv[1], argv[2]);
      }
	}

	return nRetCode;
}

